
using Syncfusion.UI.Xaml.Grid.Helpers;
using System;
using System.Windows;
using System.Windows.Threading;

namespace MasterDetailsViewDemo
{
    public partial class MainWindow
    {
        public MainWindow()
        {
            InitializeComponent();
            this.dataGrid.Loaded += dataGrid_Loaded;
            this.dataGrid.GroupColumnDescriptions.CollectionChanged += GroupColumnDescriptions_CollectionChanged;
         
        }

       

        void GroupColumnDescriptions_CollectionChanged(object sender, System.Collections.Specialized.NotifyCollectionChangedEventArgs e)
        {
            var visualContainer = this.dataGrid.GetVisualContainer();
            Application.Current.Dispatcher.BeginInvoke(
  DispatcherPriority.Background,
  new Action(() => visualContainer.FrozenColumns = 2));
            ;
        }

       
        void dataGrid_Loaded(object sender, RoutedEventArgs e)
        {
            var visualContainer = this.dataGrid.GetVisualContainer();
            visualContainer.FrozenColumns = 1;
        }
    }
}
